Bug 86203 - Empty spaces in special characters dialog selection grid (no filtering of unavailable characters)
Summary: Empty spaces in special characters dialog selection grid (no filtering of una...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-12 14:24 UTC by Gabriel Diosan
Modified: 2014-11-27 10:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of empty spaces in the special characters dialog (39.92 KB, image/png)
2014-11-12 14:24 UTC, Gabriel Diosan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Diosan 2014-11-12 14:24:24 UTC
Created attachment 109344 [details]
Screenshot of empty spaces in the special characters dialog

The "Special Characters" dialog contains a grid of characters at the bottom of which are a lot of empty squares (where characters would normally be present).

Steps to Reproduce:

1. Open Libreoffice Writer.
2. Click on the "Special Characters" button in the toolbar.
3. Scroll down to the bottom of the symbols grid.

Current Behaviour:

There are many blank/empty squares towards the bottom of the symbols grid.

Expected Behaviour:

The user should only be able to scroll down to the last symbol in the grid and no further.

I have attached a screenshot to show the problem. As can be seen in the screenshot I only scrolled about 3/4 of the way down and the rest were all empty squares. I am not sure whether this was done intentionally but it seems a bit strange to have lots of empty space for the user to scroll through.

Tested with Libreoffice:

Version: 4.4.0.0.alpha2+
Build ID: 98f9baa5253f7bb8034f148519f31f548b1452fa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-11-12_00:13:54
Comment 1 Adolfo Jayme 2014-11-12 14:40:27 UTC
This bug has long been present, but now is more evident. In previous versions I could only reproduce it in a low-end, old computer running Windows XP.
Comment 2 Caolán McNamara 2014-11-26 17:21:10 UTC
I rather suspect that the count of chars from FontCharMap::GetCharCount is wrong somehow
Comment 3 Commit Notification 2014-11-27 10:12:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c56d96fc39de897b5e8213eb5e5af295759dccbf

Resolves: fdo#86203 FontCharMap claims to have twice the entries it should

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-11-27 10:12:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5795df5608c3dafa7895ab35a70ac172d68b32b&h=libreoffice-4-4

Resolves: fdo#86203 FontCharMap claims to have twice the entries it should

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.